Browse Source

Update to golang 12 and add verbose to the fmt script

drymer 3 months ago
parent
commit
951b3b4b7b
Signed by: drymer <drymer@autistici.org> GPG Key ID: A307D64D5DDFDAAD
3 changed files with 5 additions and 2 deletions
  1. 1
    1
      .drone.yml
  2. 1
    1
      Dockerfile
  3. 3
    0
      scripts/check-format.sh

+ 1
- 1
.drone.yml View File

@@ -1,7 +1,7 @@
1 1
 ---
2 2
 pipeline:
3 3
   check-format:
4
-    image: golang:1.11.5-alpine3.9
4
+    image: golang:1.12.6-alpine3.9
5 5
     commands:
6 6
       - apk add -U make
7 7
       - make test

+ 1
- 1
Dockerfile View File

@@ -1,4 +1,4 @@
1
-FROM golang:1.11.5-alpine3.9 as builder
1
+FROM golang:1.12.6-alpine3.9 as builder
2 2
 COPY gomic.go /go/gomic.go
3 3
 RUN apk add -U git
4 4
 RUN CGO_ENABLED=0 GOOS=linux go build -a -ldflags '-extldflags "-static"' -o gomic .

+ 3
- 0
scripts/check-format.sh View File

@@ -1,6 +1,9 @@
1 1
 #!/usr/bin/env bash
2 2
 
3
+set -e
4
+
3 5
 if [ -n "$(go fmt gomic.go)" ]
4 6
 then
5 7
     return 1
6 8
 fi
9
+return 0

Loading…
Cancel
Save